Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageClip Class Reference

`#include <vtkImageClip.h>`

Inheritance diagram for vtkImageClip:

[legend]
Collaboration diagram for vtkImageClip:

[legend]
List of all members.

## Detailed Description

Reduces the image extent of the input.

Date:
  2002/01/22 15:32:02

Revision:
  1.35

vtkImageClip will make an image smaller. The output must have an image extent which is the subset of the input. The filter has two modes of operation: 1: By default, the data is not copied in this filter. Only the whole extent is modified. 2: If ClipDataOn is set, then you will get no more that the clipped extent.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (75%)
  - Martin, Ken (17%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageClip.h)`
  - .`cxx` (`/Imaging/vtkImageClip.cxx)`

Examples:
  vtkImageClip (Examples)

Tests:
  vtkImageClip (Tests)

Definition at line 56 of file vtkImageClip.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ResetOutputWholeExtent ()
void | SetOutputWholeExtent (int piece, int numPieces)
void | SetOutputWholeExtent (int extent[6])
void | SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)
void | GetOutputWholeExtent (int extent[6])
int * | GetOutputWholeExtent ()
virtual void | SetClipData (int)
virtual int | GetClipData ()
virtual void | ClipDataOn ()
virtual void | ClipDataOff ()
## Static Public Methods
vtkImageClip * | New ()
int | IsTypeOf (const char *type)
vtkImageClip * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageClip ()
| ~vtkImageClip ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | CopyData (vtkImageData *inData, vtkImageData *outData, int *ext)
int | SplitExtentTmp (int piece, int numPieces, int *ext)
virtual void | ExecuteData (vtkDataObject *out)
## Protected Attributes
vtkTimeStamp | CTime
int | Initialized
int | OutputWholeExtent [6]
int | ClipData

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageClip::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 60 of file vtkImageClip.h.

## Constructor & Destructor Documentation

vtkImageClip::vtkImageClip | ( |  | ) | `[protected]`

vtkImageClip::~vtkImageClip | ( |  | ) | `[inline, protected]`

| Definition at line 88 of file vtkImageClip.h.

## Member Function Documentation

vtkImageClip* vtkImageClip::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageClip::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageClip::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageClip::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageClip* vtkImageClip::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageClip::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

void vtkImageClip::SetOutputWholeExtent | ( | int | extent[6] | ) |

| The whole extent of the output has to be set explicitly.

void vtkImageClip::SetOutputWholeExtent | ( | int | minX,
|  | int | maxX,
|  | int | minY,
|  | int | maxY,
|  | int | minZ,
|  | int | maxZ
| ) |

| The whole extent of the output has to be set explicitly.

void vtkImageClip::GetOutputWholeExtent | ( | int | extent[6] | ) |

| The whole extent of the output has to be set explicitly.

int* vtkImageClip::GetOutputWholeExtent | ( |  | ) | `[inline]`

| The whole extent of the output has to be set explicitly. Definition at line 69 of file vtkImageClip.h.

void vtkImageClip::ResetOutputWholeExtent | ( |  | ) |

virtual void vtkImageClip::SetClipData | ( | int |  | ) | `[virtual]`

| By default, ClipData is off, and only the WholeExtent is modified. the data's extent may actually be larger. When this flag is on, the data extent will be no more than the OutputWholeExtent.

virtual int vtkImageClip::GetClipData | ( |  | ) | `[virtual]`

| By default, ClipData is off, and only the WholeExtent is modified. the data's extent may actually be larger. When this flag is on, the data extent will be no more than the OutputWholeExtent.

virtual void vtkImageClip::ClipDataOn | ( |  | ) | `[virtual]`

| By default, ClipData is off, and only the WholeExtent is modified. the data's extent may actually be larger. When this flag is on, the data extent will be no more than the OutputWholeExtent.

virtual void vtkImageClip::ClipDataOff | ( |  | ) | `[virtual]`

| By default, ClipData is off, and only the WholeExtent is modified. the data's extent may actually be larger. When this flag is on, the data extent will be no more than the OutputWholeExtent.

void vtkImageClip::SetOutputWholeExtent | ( | int | piece,
|  | int | numPieces
| ) |

| Hack set output by piece

void vtkImageClip::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageClip::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 98 of file vtkImageClip.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageClip::CopyData | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int * | ext
| ) | `[protected]`

int vtkImageClip::SplitExtentTmp | ( | int | piece,
|  | int | numPieces,
|  | int * | ext
| ) | `[protected]`

virtual void vtkImageClip::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkTimeStamp vtkImageClip::CTime`[protected]`

| Definition at line 91 of file vtkImageClip.h.

int vtkImageClip::Initialized`[protected]`

| Definition at line 92 of file vtkImageClip.h.

int vtkImageClip::OutputWholeExtent[6]`[protected]`

| Definition at line 93 of file vtkImageClip.h.

int vtkImageClip::ClipData`[protected]`

| Definition at line 95 of file vtkImageClip.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageClip.h